Gestiono

Create Bot

POST /v1/bot • validated by `postBot`

← Back to full API reference
POST/v1/botAuthentication required
  • Validated by Zod schema: postBot.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • name (required)

    Type: string

  • context

    Type: string

  • personality

    Type: string

  • type (required)

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "name": "string",
  "type": "string"
}

Sample response

json
{
  "botId": "<botId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/botAuthentication required

Group: Chats / Bot

POST /v1/bot • validated by `postBot`

  • Validated by Zod schema: postBot.

Body fields

  • namerequired
    Type: string
  • context
    Type: string
  • personality
    Type: string
  • typerequired
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.